package de.hftstuttgart.dtt.util.logging;

import java.util.Date;
import java.util.logging.LogRecord;
import java.util.logging.SimpleFormatter;

public class CustomFormatter extends SimpleFormatter
{
    final String format = "[%1$tFT%1$tT%1$tz] [%2$-7s] [%3$s.%4$s] %5$s%n";
    @Override
    public synchronized String format(LogRecord lr) {
        return String.format(format,
            new Date(lr.getMillis()),
            lr.getLevel(),
            lr.getSourceClassName(),
            lr.getSourceMethodName(),
            lr.getMessage()
        );
    }
}
